Subject: Care of Phasmids

From: [email-masked] (Jeffrey!)
Date: 11 May 1995 20:49:23 GMT

Someone told me that Phasmids are closely related to other animals in 
the 
Phylum(??) Lepidoptera.  Could someone give me some pointer for the 
raising and care of Phasmids in a large aquarium. (Heat, food, 
humidity, etc.)

Any references to books or magazine articles would be greatly 
appreciated as well.

[email-masked]
Seattle, WA  USA